@charset "utf-8";
@import '../../_variables.sass';

.button.icon--button {
  padding: $icon-button-padding $button-padding-vertical;
  transition: background-color $speed;
  background-color: transparent;
  border-radius: $radius-small;
  line-height: 0;
  svg,
  svg g {
    fill: $primary;
    transition: fill $speed;
  }
  &:hover {
    background-color: $grey-dark;
    svg,
    svg g {
      fill: $white;
    }
  }
  &.active {
    background-color: $primary;
    color: $white;
    svg,
    svg g {
      fill: $white;
      cursor: default;
    }
  }
  &.is-inline {
    margin-top: -$button-padding-vertical;
  }
  &.float-right {
    float: 'right';
  }
  &[disabled] {
    svg,
    svg g {
      fill: $grey;
    }
  }
}
